Bug 126083 - Borders of merged table cells disappear if you enable page header (also in PDF export) (steps in comment 7)
Summary: Borders of merged table cells disappear if you enable page header (also in PD...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Table-Borders
  Show dependency treegraph
 
Reported: 2019-06-25 12:12 UTC by cyberrob
Modified: 2020-09-22 12:16 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example document to reproduce the error (24.56 KB, application/vnd.oasis.opendocument.text)
2019-06-25 12:13 UTC, cyberrob
Details
PDF export of example document. Error on page 31 (100.46 KB, application/pdf)
2019-06-25 12:14 UTC, cyberrob
Details
Screen animation of editing (enter and backspace pressed in last column) (59.45 KB, image/gif)
2019-06-25 12:15 UTC, cyberrob
Details
Screenshot using LO Fresh 6.2.4.2 (x64) (132.23 KB, image/png)
2019-06-30 09:27 UTC, cyberrob
Details

Note You need to log in before you can comment on or make changes to this bug.
Description cyberrob 2019-06-25 12:12:11 UTC
Description:
I have documents containing a lot of tables with moderately complex structure, i.e. some merged cells horizontally and vertically. See attached document TableBorderTest.odt. 

When I create or edit the document and save it, sometimes a part of the border of the leftmost table cell (which spans several rows) disappears. This is not only a display issue but is also visible in the exported PDF document. See attached TableBorderTest.pdf on page 31.

When I set the cursor to a cell in the afftected table eare and for example insert a line break and delete it again, in most cases the border re-appears. See attached GIF image TableBorderTest.gif. Sometimes the effect then is visible at a complete different location in the document.

I also opended the attachet ODT on another machine. All borders were there. Then I just enabled the Page Header in the Format -> Page dialog. This changed the layout around and a border disappears at another position in the document.

This behavior makes the effect somewhat difficult to reproduce. But it seems to be there for several versions, I reproduced it on another machine using Libreoffice 5.4.

Steps to Reproduce:
1. Open attached TableBorderTest.odt
2. Zoom out and look for missing table borders in leftmost column.
3. If none are there, enable Header in Format -> Page dialog and look again


Actual Results:
Sometimes missing cell borders, also in PDF export

Expected Results:
All cell borders visible


Reproducible: Sometimes


User Profile Reset: No



Additional Info:
Comment 1 cyberrob 2019-06-25 12:13:52 UTC
Created attachment 152394 [details]
Example document to reproduce the error
Comment 2 cyberrob 2019-06-25 12:14:34 UTC
Created attachment 152395 [details]
PDF export of example document. Error on page 31
Comment 3 cyberrob 2019-06-25 12:15:30 UTC
Created attachment 152396 [details]
Screen animation of editing (enter and backspace pressed in last column)
Comment 4 Dieter 2019-06-29 08:43:12 UTC Comment hidden (obsolete)
Comment 5 cyberrob 2019-06-30 09:27:10 UTC
Created attachment 152475 [details]
Screenshot using LO Fresh 6.2.4.2 (x64)
Comment 6 cyberrob 2019-06-30 09:28:03 UTC
I tested the Example document again on another machine running Windows 10 and the newest libreoffice fresh:

Version: 6.2.4.2 (x64)
Build-ID: 2412653d852ce75f65fbfa83fb7e7b669a126d64
CPU-Threads: 8; BS: Windows 10.0; UI-Render: GL; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded

After opening the file the problem was not visible. I then enabled page headers (Format -> Page -> Header) (In my German version it is Format -> Seite -> Kopfzeile). Then the problem gets visible on page 11. See attached screenshot.
Comment 7 Dieter 2019-06-30 10:56:33 UTC
I confirm it with

Version: 6.2.5.2 (x64)
Build-ID: 1ec314fa52f458adc18c4f025c545a4e8b22c159
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded

and with

Version: 6.4.0.0.alpha0+ (x64)
Build ID: ae823e4633a76d13cebc6432b9e44b9b2862326b
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-06-26_23:06:07
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded


Steps to reproduce

1. Open attachment from comment 1
2. Got to page 11
3. Enable header

Result: Border of the first cell in the last row of table two gets lost.
Comment 8 cyberrob 2019-06-30 11:27:59 UTC
Just to clarify, as the new title may be misleading: from my observations enabling the header just helps to reproduce the problem (disappearing cell borders) with the example document if it does not show up anywhere right after opening the document.

I have had this issue with many documents containing tables with merged cells in the way it is in the multiple tables in the example document. Sometimes everything is fine and when I change something in the document and some tables get slightly moved around, the problem arises.

So it does not seem to be releated to enabling/disabling the page header. This only makes it appear (and maybe also disappear in some cases) as the document layout changes.
Comment 9 Dieter 2019-06-30 12:03:11 UTC Comment hidden (obsolete)
Comment 10 Timur 2020-09-22 12:16:29 UTC
Repro OO 3.3 and LO 7.1+ Win and Lin per Comment 7, so I set All. 
Persists if ODT resaved in LO 7.1+, but not for me when I tried to delete tables before and after Table 2.
Simple click in the cell with "4" restores the border, so I set Minor.
Can be confusing so I leave Medium.